%define major		0
%define libname		lib%{name}
%define develname	%{name}-devel
%define release 4
Name:		ccnet
Version:	5.1.3
Release:	%{release}%{dist}
Summary:	Networking library for Seafile
License:	GPLv3+
Group:		Networking/File transfer
URL:		https://github.com/haiwen/ccnet
Source0:	https://github.com/haiwen/ccnet/archive/v%{version}/%{name}-%{version}.tar.gz
#Source0:	https://github.com/haiwen/ccnet/archive/v%{version}/v%{version}.tar.gz
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(jansson)
#BuildRequires:	pkgconfig(sqlite3)
BuildRequires: 	sqlite-devel
BuildRequires:  sqlite
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libevent)
BuildRequires:	pkgconfig(uuid) >= 2.0
BuildRequires:	pkgconfig(libsearpc)
#BuildRequires:	pkgconfig(python2)
BuildRequires: python-devel
#BuildRequires:	vala >= 0.26
BuildRequires: vala
Buildrequires: autoconf
Buildrequires: automake
Buildrequires: libtool
# server requirements
BuildRequires:	pkgconfig(zdb)

Requires:	pythonegg(2)(ccnet) = %{version}-%{release}

%description
Ccnet is a framework for writing networked applications in C.

#----------------------------------------------------

%package	server
Summary:	Ccnet server
Group:		Networking/File transfer
Requires:	pythonegg(2)(ccnet) = %{version}-%{release}

%description	server
Ccnet is a framework for writing networked applications in C.
This package contains the server part for %{name}.

#----------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n	%{libname}
Ccnet is a framework for writing networked applications in C.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%package -n	python-%{name}
Summary:	Python 2 bindings for %{name}
Group:		Development/Python
BuildArch:	noarch
Provides:	pythonegg(2)(ccnet) = %{version}-%{release}

%description -n	python-%{name}
Ccnet is a framework for writing networked applications in C.
This package contains the python 2 bindings for %{name}.

#----------------------------------------------------

%prep
%setup -q

sed -i -e /\(DESTDIR\)/d libccnet.pc.in

NOCONFIGURE=1 ./autogen.sh

%build
#%configure2_5x \
%configure \
	--enable-server \
	--disable-static \
	--disable-compile-demo
#%make_build
make

%install
#%make_install
#make install
%{__make} install DESTDIR=%{buildroot}

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc HACKING README.markdown
#%doc COPYRIGHT
%{_bindir}/%{name}
%{_bindir}/%{name}-init
%{_bindir}/%{name}-tool

%files server
%doc HACKING README.markdown
#%doc COPYRIGHT
%{_bindir}/%{name}-server
%{_bindir}/%{name}-servtool

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{develname}
%doc HACKING README.markdown
%{_includedir}/*
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc

%files -n python-%{name}
%doc HACKING README.markdown
%{python_sitearch}/%{name}/


%changelog
* Mon Feb 19 2018 Jean-Philippe Pialasse <tests@pialasse.com> - 5.1.3-4
- rebuild with lib and server packages

* Mon Feb 19 2018 Jean-Philippe Pialasse <tests@pialasse.com> - 5.1.3-2
- first import for SME Server
- adapt spec file for buildsystem

* Tue Nov 01 2016 daviddavid <daviddavid> 5.1.3-1.mga5
+ Revision: 1064478
- new version: 5.1.3

  + neoclust <neoclust>
    - Use version 5.1.2 in backports
    - Add to backports

* Thu Jun 30 2016 daviddavid <daviddavid> 5.1.3-1.mga6
+ Revision: 1038171
- new version: 5.1.3

* Thu May 12 2016 daviddavid <daviddavid> 5.1.1-2.mga6
+ Revision: 1014278
- add the server part of ccnet

* Fri May 06 2016 daviddavid <daviddavid> 5.1.1-1.mga6
+ Revision: 1009881
- initial package ccnet

